//+------------------------------------------------------------------+
//|                                           Candle Close Alarm.mq4 |
//|                                          Copyright 2014, Udinefx |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, Udinefx"



#property indicator_chart_window


//---- input parameters
extern int MinutesBeforeCandleClose = 2;
extern bool AlarmWithBox = true;
extern string SoundWAV = "alert3.wav";

//---- buffers
int MsgOnFlag = 1;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
  }
   
  
  
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
	int min, sec;
	
   min = Time[0] + Period()*60 - CurTime();
   sec = min%60;
   min =(min - min%60) / 60;
   Comment("Balanced Time to next bar close: " + min + " min " + sec + " sec");
	
	//Message or Sound min minutes before the candle closes
	if(min < MinutesBeforeCandleClose && MsgOnFlag == 1)
	{
	  if(AlarmWithBox)
	  {
	     Alert("Less than " + min + " minute(s) " + sec + " second(s) to bar close!");  
	  }
	  else
	  {
	     PlaySound(SoundWAV);
	  }	  
	  MsgOnFlag = 0;
	}
	if(min > MinutesBeforeCandleClose) 
	{
	  MsgOnFlag = 1;
	}
	
   return(0);
  }
//+------------------------------------------------------------------+

